> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch settings



## OpenAPI

````yaml /openapi/settings.json patch /v1/crm/settings/
openapi: 3.0.3
info:
  title: Yume API — Настройки
  version: 1.0.0
  description: Настройки приложения и пользовательские предпочтения.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/crm/settings/:
    patch:
      summary: Patch settings
      operationId: root_partial_update
      parameters:
        - $ref: '#/components/parameters/TenantId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedSettingsConfig'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedSettingsConfig'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedSettingsConfig'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SettingsConfig'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    PatchedSettingsConfig:
      type: object
      properties:
        name:
          type: string
        address:
          type: string
        company_iin:
          type: string
        company_bin:
          type: string
        currency:
          type: string
        currency_prefix:
          type: boolean
          default: true
        language:
          type: string
        company_bank:
          type: string
        company_iban:
          type: string
        company_bic:
          type: string
        company_account_number:
          type: string
        feature_point_clean:
          type: boolean
          default: false
        collection_percent:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          readOnly: true
        feature_delivery_sms:
          type: boolean
          readOnly: true
        feature_delivery_wazzup:
          type: boolean
          readOnly: true
        feature_inventorization_duration:
          type: integer
          readOnly: true
        feature_inventory_buffer:
          type: integer
          readOnly: true
        feature_transaction_schedule_initial_fee:
          type: boolean
          readOnly: true
        order_autoweekday:
          type: boolean
          readOnly: true
        order_filter_type:
          type: string
          readOnly: true
        feature_group:
          type: boolean
          default: true
        feature_group_available:
          type: boolean
          default: false
        feature_set:
          type: boolean
          default: true
        feature_set_alternative:
          type: boolean
          default: false
        feature_service:
          type: boolean
          default: true
        feature_inventory:
          type: boolean
          default: false
        feature_inventory_car:
          type: boolean
          default: false
        feature_unique_id:
          type: boolean
          default: false
        feature_inventorization_before:
          type: boolean
          default: false
        feature_inventorization_after:
          type: boolean
          default: true
        feature_inventorization_media:
          type: boolean
          default: false
        feature_inventorization_media_desktop:
          type: boolean
          default: true
        feature_inventorization_request:
          type: boolean
          default: false
        feature_order_recipe:
          type: boolean
          default: false
        feature_sublease:
          type: boolean
          default: false
        feature_wallet:
          type: boolean
          default: false
        feature_erap:
          type: boolean
          default: false
        feature_transaction_date:
          type: boolean
          default: false
        feature_transaction_overpay:
          type: boolean
          default: false
        feature_transaction_schedule:
          type: boolean
          default: false
        feature_debt_current:
          type: boolean
          default: false
        feature_delivery_confirm:
          type: boolean
          default: true
        feature_delivery_rent_start:
          type: boolean
          default: false
        feature_delivery_rent_end:
          type: boolean
          default: false
        request:
          type: string
        reserve:
          type: string
        debtor:
          type: string
        inrent:
          type: string
        cancel:
          type: string
        completed:
          type: string
        exceed:
          type: string
        reservation:
          type: boolean
        collection:
          type: boolean
        order_draft:
          type: boolean
          default: true
        order_flex:
          type: boolean
          default: false
        order_agent:
          type: boolean
          default: false
        order_client:
          type: boolean
          default: true
        order_client_tick_filter:
          type: array
          items:
            type: integer
        order_inventory:
          type: boolean
          default: false
        order_group:
          type: boolean
          default: true
        order_service:
          type: boolean
          default: true
        order_penalty_rounding:
          type: integer
          default: 1
        order_penalty_buffer_duration:
          type: string
        order_deposit:
          type: boolean
          default: true
        order_pause:
          type: boolean
          default: true
        order_inventory_detail:
          type: boolean
          default: true
        order_agent_percent:
          type: integer
          default: 10
        order_table_expanded:
          type: boolean
          default: false
        order_inventory_occupation:
          type: boolean
          default: true
        order_inventory_discount:
          type: boolean
          default: true
        order_duration:
          type: string
        order_archive_auto:
          type: boolean
          default: false
        order_archive_buffer_duration:
          type: string
        order_default_filter:
          type: string
          nullable: true
        order_rental_point:
          type: boolean
          default: true
        order_rental_point_return:
          type: boolean
          default: false
        order_period:
          type: boolean
          default: true
        order_merge_inrent_exceed:
          type: boolean
          default: false
        order_single_inventory:
          type: boolean
          default: false
        order_autorenewal:
          type: boolean
          default: false
        penalty:
          type: boolean
        penalty_type:
          type: string
          nullable: true
        penalty_after:
          type: boolean
        penalty_manager_access:
          type: boolean
        penalty_default:
          type: string
        rent_inventory_priority:
          type: string
        creation_percent:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
        reservation_percent:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
        issue_percent:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
        recievement_percent:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
        delivery_order_percent:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
        single_issue:
          type: boolean
        single_recievement:
          type: boolean
        workshift:
          type: boolean
          default: false
        metrics_order_statuses:
          type: array
          items:
            type: integer
        metrics_order_payment_statuses:
          type: array
          items:
            type: integer
        rent_product_types:
          type: array
          items:
            type: string
        penalty_options:
          type: array
          items:
            $ref: '#/components/schemas/PenaltyOption'
        custom_fields:
          allOf:
            - $ref: '#/components/schemas/CustomFieldUpdate'
          readOnly: true
        feature_bonus:
          type: boolean
          default: false
        bonus_default_percent:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
        bonus_default_amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
        bonus_default_usage:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
        tax:
          type: boolean
          default: true
        tax_percent:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
        tax_included:
          type: boolean
          default: true
        phone_format:
          type: string
        order_layout_left: {}
        order_layout_right_v2:
          type: array
          items:
            type: string
        client_debt_limit:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
        client_passport:
          type: boolean
          default: true
        client_passport_scan:
          type: boolean
          default: false
        client_passport_iin_length:
          type: integer
          default: 12
        client_kaspi_balance:
          type: boolean
          default: false
        document_billing_mode:
          type: string
          readOnly: true
        whapi:
          type: boolean
          default: false
    SettingsConfig:
      type: object
      properties:
        name:
          type: string
        address:
          type: string
        company_iin:
          type: string
        company_bin:
          type: string
        currency:
          type: string
        currency_prefix:
          type: boolean
          default: true
        language:
          type: string
        company_bank:
          type: string
        company_iban:
          type: string
        company_bic:
          type: string
        company_account_number:
          type: string
        feature_point_clean:
          type: boolean
          default: false
        collection_percent:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          readOnly: true
        feature_delivery_sms:
          type: boolean
          readOnly: true
        feature_delivery_wazzup:
          type: boolean
          readOnly: true
        feature_inventorization_duration:
          type: integer
          readOnly: true
        feature_inventory_buffer:
          type: integer
          readOnly: true
        feature_transaction_schedule_initial_fee:
          type: boolean
          readOnly: true
        order_autoweekday:
          type: boolean
          readOnly: true
        order_filter_type:
          type: string
          readOnly: true
        feature_group:
          type: boolean
          default: true
        feature_group_available:
          type: boolean
          default: false
        feature_set:
          type: boolean
          default: true
        feature_set_alternative:
          type: boolean
          default: false
        feature_service:
          type: boolean
          default: true
        feature_inventory:
          type: boolean
          default: false
        feature_inventory_car:
          type: boolean
          default: false
        feature_unique_id:
          type: boolean
          default: false
        feature_inventorization_before:
          type: boolean
          default: false
        feature_inventorization_after:
          type: boolean
          default: true
        feature_inventorization_media:
          type: boolean
          default: false
        feature_inventorization_media_desktop:
          type: boolean
          default: true
        feature_inventorization_request:
          type: boolean
          default: false
        feature_order_recipe:
          type: boolean
          default: false
        feature_sublease:
          type: boolean
          default: false
        feature_wallet:
          type: boolean
          default: false
        feature_erap:
          type: boolean
          default: false
        feature_transaction_date:
          type: boolean
          default: false
        feature_transaction_overpay:
          type: boolean
          default: false
        feature_transaction_schedule:
          type: boolean
          default: false
        feature_debt_current:
          type: boolean
          default: false
        feature_delivery_confirm:
          type: boolean
          default: true
        feature_delivery_rent_start:
          type: boolean
          default: false
        feature_delivery_rent_end:
          type: boolean
          default: false
        request:
          type: string
        reserve:
          type: string
        debtor:
          type: string
        inrent:
          type: string
        cancel:
          type: string
        completed:
          type: string
        exceed:
          type: string
        reservation:
          type: boolean
        collection:
          type: boolean
        order_draft:
          type: boolean
          default: true
        order_flex:
          type: boolean
          default: false
        order_agent:
          type: boolean
          default: false
        order_client:
          type: boolean
          default: true
        order_client_tick_filter:
          type: array
          items:
            type: integer
        order_inventory:
          type: boolean
          default: false
        order_group:
          type: boolean
          default: true
        order_service:
          type: boolean
          default: true
        order_penalty_rounding:
          type: integer
          default: 1
        order_penalty_buffer_duration:
          type: string
        order_deposit:
          type: boolean
          default: true
        order_pause:
          type: boolean
          default: true
        order_inventory_detail:
          type: boolean
          default: true
        order_agent_percent:
          type: integer
          default: 10
        order_table_expanded:
          type: boolean
          default: false
        order_inventory_occupation:
          type: boolean
          default: true
        order_inventory_discount:
          type: boolean
          default: true
        order_duration:
          type: string
        order_archive_auto:
          type: boolean
          default: false
        order_archive_buffer_duration:
          type: string
        order_default_filter:
          type: string
          nullable: true
        order_rental_point:
          type: boolean
          default: true
        order_rental_point_return:
          type: boolean
          default: false
        order_period:
          type: boolean
          default: true
        order_merge_inrent_exceed:
          type: boolean
          default: false
        order_single_inventory:
          type: boolean
          default: false
        order_autorenewal:
          type: boolean
          default: false
        penalty:
          type: boolean
        penalty_type:
          type: string
          nullable: true
        penalty_after:
          type: boolean
        penalty_manager_access:
          type: boolean
        penalty_default:
          type: string
        rent_inventory_priority:
          type: string
        creation_percent:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
        reservation_percent:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
        issue_percent:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
        recievement_percent:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
        delivery_order_percent:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
        single_issue:
          type: boolean
        single_recievement:
          type: boolean
        workshift:
          type: boolean
          default: false
        metrics_order_statuses:
          type: array
          items:
            type: integer
        metrics_order_payment_statuses:
          type: array
          items:
            type: integer
        rent_product_types:
          type: array
          items:
            type: string
        penalty_options:
          type: array
          items:
            $ref: '#/components/schemas/PenaltyOption'
        custom_fields:
          allOf:
            - $ref: '#/components/schemas/CustomFieldUpdate'
          readOnly: true
        feature_bonus:
          type: boolean
          default: false
        bonus_default_percent:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
        bonus_default_amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
        bonus_default_usage:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
        tax:
          type: boolean
          default: true
        tax_percent:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
        tax_included:
          type: boolean
          default: true
        phone_format:
          type: string
        order_layout_left: {}
        order_layout_right_v2:
          type: array
          items:
            type: string
        client_debt_limit:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
        client_passport:
          type: boolean
          default: true
        client_passport_scan:
          type: boolean
          default: false
        client_passport_iin_length:
          type: integer
          default: 12
        client_kaspi_balance:
          type: boolean
          default: false
        document_billing_mode:
          type: string
          readOnly: true
        whapi:
          type: boolean
          default: false
      required:
        - address
        - cancel
        - collection
        - collection_percent
        - company_account_number
        - company_bank
        - company_bic
        - company_bin
        - company_iban
        - company_iin
        - completed
        - currency
        - custom_fields
        - debtor
        - document_billing_mode
        - exceed
        - feature_delivery_sms
        - feature_delivery_wazzup
        - feature_inventorization_duration
        - feature_inventory_buffer
        - feature_transaction_schedule_initial_fee
        - inrent
        - language
        - metrics_order_payment_statuses
        - metrics_order_statuses
        - name
        - order_archive_buffer_duration
        - order_autoweekday
        - order_client_tick_filter
        - order_duration
        - order_filter_type
        - order_layout_left
        - order_layout_right_v2
        - order_penalty_buffer_duration
        - penalty
        - penalty_after
        - penalty_default
        - penalty_manager_access
        - penalty_options
        - phone_format
        - rent_inventory_priority
        - rent_product_types
        - request
        - reservation
        - reserve
        - single_issue
        - single_recievement
    PenaltyOption:
      type: object
      properties:
        name:
          type: string
        duration:
          type: string
      required:
        - duration
        - name
    CustomFieldUpdate:
      type: object
      properties:
        inventory_group:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        inventory_set:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        inventory:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        service:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        client:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        client_document:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        rental_point:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        order:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        order_inventory:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        order_service:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        funnel_lead:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        category:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
    CustomFieldList:
      type: object
      properties:
        name:
          type: string
        label:
          type: string
          default: ''
        placeholder:
          type: string
          default: ''
        required:
          type: boolean
          default: false
        table:
          type: boolean
          default: false
        filter:
          type: boolean
          default: false
        type:
          allOf:
            - $ref: '#/components/schemas/CustomFieldListTypeEnum'
          default: string
        options:
          type: array
          items:
            type: string
      required:
        - name
    CustomFieldListTypeEnum:
      enum:
        - string
        - html
        - integer
        - decimal
        - boolean
        - date
        - datetime
        - color
        - client
        - inventory
        - product
        - set
      type: string
      description: |-
        * `string` - string
        * `html` - html
        * `integer` - integer
        * `decimal` - decimal
        * `boolean` - boolean
        * `date` - date
        * `datetime` - datetime
        * `color` - color
        * `client` - client
        * `inventory` - inventory
        * `product` - product
        * `set` - set
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````